/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CONFIGEQUI                                                 */
/* Tabela : CONFIGEQUI                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 01/09/2004 - Luiz Otvio de Souza                                      */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_CONFIGEQUI
BEFORE INSERT OR UPDATE OR DELETE
ON CONFIGEQUI FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUCEQU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.QTPAXEQUI,0) <> NVL(:NEW.QTPAXEQUI,0)) OR
         (NVL(:OLD.CDAGRDEL,0) <> NVL(:NEW.CDAGRDEL,0)) OR
         (NVL(:OLD.QTPAXSBYEQUI,0) <> NVL(:NEW.QTPAXSBYEQUI,0)) THEN
         :NEW.DTULTATUCEQU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('CONFIGEQUI',:OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDCIA='||:OLD.CDCIA||';CDEQUIP='||:OLD.CDEQUIP||';CDCLASSE='||:OLD.CDCLASSE||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE CONFIGEQUI MODIFY DTULTATUCEQU DEFAULT SYSDATE
/
